Theme
Generate 3.0 (Image Remix)
POST
https://www.kkiai.com/ideogram/v1/ideogram-v3/remix
Synchronously generate images using the Ideogram 3.0 model based on the provided prompt and optional parameters.
For detailed parameters, see the official documentation: https://developer.ideogram.ai/api-reference/api-reference/remix-v3
The returned image URLs are valid for 24 hours. Images cannot be accessed after this time.
Images have been reverse-proxied.
Request Parameters
Header Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
Accept | string | Required | application/json | |
Authorization | string | Required | Bearer {{YOUR_API_KEY}} |
Body Parameters (multipart/form-data)
| Parameter | Type | Required | Description |
|---|---|---|---|
image | file | Required | Image being remixed (maximum size 10 MB); currently supports JPEG, WebP, and PNG formats only. |
prompt | string | Optional | |
num_images | string | Optional | |
rendering_speed | string | Optional |
cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/ideogram/v1/ideogram-v3/remix' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer ' \
--form 'image=@"C:\\Users\\Administrator\\Desktop\\example.png"' \
--form 'prompt="A photo of a cat"' \
--form 'num_images="1"' \
--form 'rendering_speed="DEFAULT"'Response
🟢 200 Success
Response Body
| Parameter | Type | Required | Description |
|---|---|---|---|
code | integer | Required | |
message | string | Required | |
request_id | string | Required | |
data | object | Required | |
└ task_id | string | Required | |
└ task_status | string | Required | |
└ created_at | integer | Required | |
└ updated_at | integer | Required |
Response Example
json
{
"data": [
{
"seed": 12345,
"prompt": "A photo of a cat",
"resolution": "1024x1024",
"url": "https://v3.fal.media/files/panda/-6uzsYt1XEco4s6BThKaP_image.png",
"is_image_safe": true,
"style_type": "REALISTIC"
}
],
"created": "2025-08-27T22:13:44.972624193+08:00"
}